Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Exception.h File Reference

`#include "tao/orbconf.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/Basic_Types.h"`
`#include "tao/CORBA_String.h"`
`#include "ace/SStringfwd.h"`
`#include "ace/iosfwd.h"`
`#include "ace/CORBA_macros.h"`
`#include "tao/Exception.i"`

Include dependency graph for Exception.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CORBA
## Classes
class | CORBA::Exception
| Exception. More...
class | TAO_Exceptions
| This class is a namespace for exception-related static data and methods. More...
## Defines
#define | TAO_RAISE(EXCEPTION) throw EXCEPTION
## Typedefs
typedef Any * | Any_ptr
## Enumerations
enum | exception_type { NO_EXCEPTION, USER_EXCEPTION, SYSTEM_EXCEPTION }
| Enumeration used to identify the type of CORBA exception. More...

## Detailed Description

Id
  Exception.h,v 1.121 2006/01/16 16:52:08 olli Exp

This file defines way in which CORBA exceptions are reported.

Author:
  DOC Group at Vanderbilt U., Wash U, and UCI

## Define Documentation

#define TAO_RAISE | ( | EXCEPTION |  | ) | throw EXCEPTION

## Typedef Documentation

typedef Any* CORBA::Any_ptr

## Enumeration Type Documentation

enum exception_type

  | Enumeration used to identify the type of CORBA exception. CORBA exceptions generally fall into two categories, user exceptions and system exceptions. This enumeration is used when identifying the type of CORBA exception. Enumeration values:
  NO_EXCEPTION |
  USER_EXCEPTION |
  SYSTEM_EXCEPTION |